Summary: TeX typesetting system and MetaFont font formatter
Name: tetex
Version: 0.4pl6
Release: 1
Copyright: distributable
Group: Applications/Publishing/TeX
Requires: dialog
Requires: tmpwatch

Source0: ftp://sunsite.unc.edu/pub/Linux/apps/tex/teTeX/distrib/sources/teTeX-src-0.4pl6.tar.gz
Source1: ftp://sunsite.unc.edu/pub/Linux/apps/tex/teTeX/distrib/sources/teTeX-lib-0.4pl6.tar.gz
Source2: dvi-to-ps.fpi
Source3: tetex-tetex-skel
Source4: tetex-latex-skel
Source5: tetex-dvilj-skel
Source6: tetex-dvips-skel
Source7: tetex-afm-skel
Source8: tetex-xdvi-skel
Source9: tetex.cron

Patch0: teTeX-src-0.4-misc.patch
Patch1: teTeX-lib-0.4-config.patch
Patch2: teTeX-src-0.4-glibc.patch
Patch3: teTeX-src-0.4-a3paper.patch

Url: http://www.tug.org/teTeX/

%description
TeX formats a file of interspersed text and commands and outputs a
typesetter independent file (called DVI, which is short for DeVice
Independent).  TeX capabilities and language are described in The
TeXbook, by Knuth.

%package latex
Summary: LaTeX macro package
Group: Applications/Publishing/TeX

%description latex
LaTeX is a TeX macro package. The LaTeX macros encourage writers to
think about the content of their documents, rather than the form.  The
ideal, very difficult to realize, is to have no formatting commands
(like ``switch to italic'' or ``skip 2 picas'') in the document at
all; instead, everything is done by specific markup instructions:
``emphasize'', ``start a section''.

%package xdvi
Summary: X11 previewer
Group: Applications/Publishing/TeX

%description xdvi
xdvi is a program which runs under the X window system. It is used to
preview dvi files, such as are produced by tex and latex.

%package dvips
Summary: dvi to postscript convertor
Group: Applications/Publishing/TeX

%description dvips
The program dvips takes a DVI file file[.dvi] produced by TeX (or by
some other processor such as GFtoDVI) and converts it to PostScript,
normally sending the result directly to the laserprinter.

%package dvilj
Summary: dvi to laserjet convertor
Group: Applications/Publishing/TeX

%description dvilj
Dvilj and siblings convert TeX-output .dvi files into HP PCL (i.e.  HP
Printer Control Language) commands suitable for printing on a HP
LaserJet+, HP LaserJet IIP (using dvilj2p), HP LaserJet 4 (using
dvilj4), and fully compatible printers.

%package afm
Summary: afm (Adobe Font Metrics) fonts and utilities
Group: Applications/Publishing/TeX

%description afm
PostScript fonts are (or should be) accompanied by font metric files
such as Times-Roman.afm, which describes the characteristics of the
font called Times-Roman.  To use such fonts with TeX, we need TFM
files that contain similar information.  afm2tfm does that conversion.

%prep
%setup -n teTeX-src-0.4
%patch0 -p1 -b .prerh
%patch2 -p1 -b .noglibc

%ifarch i386
arch=`uname -m`-linux
%else
arch=${RPM_ARCH}-linux
%endif

# do preprocessing for file lists for architecture specfic files
for n in tetex-tetex-skel tetex-latex-skel tetex-xdvi-skel \
         tetex-dvilj-skel tetex-dvips-skel tetex-afm-skel ; do
   sed "s/ARCH/${arch}/g" < $RPM_SOURCE_DIR/$n > $n
done       

# rm -rf /usr/lib/texmf
cd /usr/lib

rm -rf texmf teTeX
tar xvpzf $RPM_SOURCE_DIR/teTeX-lib-0.4pl6.tar.gz
mv teTeX texmf
cd texmf
%patch1 -p1
%patch3 -p1
rm -f texmf/maketex/maketex.site.orig
rm -f texmf.cnf.orig
rm -f texmg/dvips/config/config.ps.orig

%build
rm -f config.cache

%ifarch alpha
RPM_OPT_FLAGS="-DPOINTER_IS_NOT_INT $RPM_OPT_FLAGS"
%endif

X_EXTRA_LIBS='-lSM -lICE' make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" config clean texhash all

%install
rm -f texinfo-3.9/info/info.1

make install ini

# unfortunately, teTeX leaves things pretty messy as far as the fsstnd
# is concerned

%ifarch i386
arch=`uname -m`-linux
%else
arch=${RPM_ARCH}-linux
%endif

cd /usr/lib/texmf
rm -f bin/$arch/makeinfo
rm -f bin/$arch/texindex
rm -f bin/$arch/texi2dvi
rm -f bin/$arch/info
rm -f bin/$arch/dialog
rm -f texmf/doc/programs/makeinfo.dvi

# let's grab the info files, move and gzip them, and then remove the info
# directory
for n in dvips.info dvips.info-1 dvips.info-2 dvips.info-3 fontname.info kpathsea.info kpathsea.info-1 kpathsea.info-2 kpathsea.info-3 ; do
    echo "installing /usr/info/$n.gz"
    cp -f info/$n /usr/info
    gzip -fn9 /usr/info/$n
done
rm -rf info

# man pages are in a really poor location as well
for n in man/man?/*; do
    echo "installing /usr/$n"
    cp $n /usr/$n
done
rm -rf man

# there's a better place for these docs as well
# this stuff moved with release 0.4
cd /usr/lib/texmf/texmf/doc/tetex
rm -rf $RPM_DOC_DIR/tetex-0.4
mkdir -p $RPM_DOC_DIR/tetex-0.4
for n in CREDITS README TETEXDOC.tex teTeX-FAQ LICENSE TETEXDOC.dvi; do
    cp -f $n $RPM_DOC_DIR/tetex-0.4
    rm $n
done

# now for the bins. they all determine where texmf is via their current
# locations (I think they do anyway). That means that moving them could
# be a bad idea. Links should be okay, though it's admitedly ugly
cd /usr/lib/texmf/bin/$arch
for n in *; do
        echo linking to /usr/bin/$n
        ln -sf ../lib/texmf/bin/$arch/$n /usr/bin/$n
done

strip afm2tfm bibtex dmp dvicopy dvilj dvilj2p dvilj4 dvilj4l dvips 
strip dvitype gftodvi
strip gftopk gftype gsftopk inimf inimp initex kpsetool mag makeindex.bin mft
strip mpto newer patgen
strip pfb2pfa pk2bm pktogf pktype pltotf pooltype ps2pk tangle tftopl vftovp
strip virmf virtex vptovf weave xdvi.bin

# lists not used for anything 
cd /usr/lib/texmf
rm -rf texmf/lists

#
# add this so that normal users can create fonts
#
mkdir -p /var/lib/texmf/texfonts
chmod 1777 /var/lib/texmf/texfonts

mkdir -p /var/lib/texmf/fonts
chmod 1777 /var/lib/texmf/fonts

# install the new magic print filter for converting dvi to ps
mkdir -p /usr/lib/rhs/printtool
install -m755 $RPM_SOURCE_DIR/dvi-to-ps.fpi /usr/lib/rhs/printtool

install -m755 $RPM_SOURCE_DIR/tetex.cron /etc/cron.daily

# make sure ls-R used by tetex is updated after an install
%post
texhash 2> /dev/null
exit 0

%post latex
[ -x /usr/bin/texhash ] && texhash 2> /dev/null
exit 0

%post xdvi
[ -x /usr/bin/texhash ] && texhash 2> /dev/null
exit 0

%post dvips
[ -x /usr/bin/texhash ] && texhash 2> /dev/null
exit 0

%post dvilj
[ -x /usr/bin/texhash ] && texhash 2> /dev/null
exit 0

%post afm
[ -x /usr/bin/texhash ] && texhash 2> /dev/null
exit 0

%postun
[ -x /usr/bin/texhash ] && texhash 2> /dev/null
exit 0

%postun latex
[ -x /usr/bin/texhash ] && texhash 2> /dev/null
exit 0

%postun xdvi
[ -x /usr/bin/texhash ] && texhash 2> /dev/null
exit 0

%postun dvips
[ -x /usr/bin/texhash ] && texhash 2> /dev/null
exit 0

%postun dvilj
[ -x /usr/bin/texhash ] && texhash 2> /dev/null
exit 0

%postun afm
[ -x /usr/bin/texhash ] && texhash 2> /dev/null
exit 0


%changelog

* Mon Feb 17 1997 Michael Fulbright <msf@redhat.com>

  Upgraded to 0.4pl6, and fixed file permissions on /var/lib/texmf/texfonts
  so normal users could create fonts on demand.

%files -f tetex-tetex-skel
%dir /var/lib/texmf/fonts
%dir /var/lib/texmf/texfonts
%config /etc/cron.daily/tetex.cron
/usr/doc/tetex-0.4
/usr/bin/MakeTeXMF
/usr/bin/MakeTeXPK
/usr/bin/MakeTeXTFM
/usr/bin/MakeTeXmkdir
/usr/bin/MakeTeXnames
/usr/bin/afmtodit
/usr/bin/allcm
/usr/bin/alldc
/usr/bin/allneeded
/usr/bin/append_db
/usr/bin/amstex
/usr/bin/bibtex
/usr/bin/dmp
/usr/bin/dvi2fax
/usr/bin/dvicopy
/usr/bin/dvihp
/usr/bin/dvired
/usr/bin/dvitomp
/usr/bin/dvitype
/usr/bin/fontexport
/usr/bin/fontimport
/usr/bin/gftodvi
/usr/bin/gftopk
/usr/bin/gftype
/usr/bin/gsftopk
/usr/bin/inimf
/usr/bin/inimp
/usr/bin/initex
/usr/bin/install-info
/usr/bin/kpsepath
/usr/bin/kpsetool
/usr/bin/kpsewhich
/usr/bin/kpsexpand
/usr/bin/mag
/usr/bin/makeindex
/usr/bin/makeindex.bin
/usr/bin/makempx
/usr/bin/mf
/usr/bin/mft
/usr/bin/mkfontdesc
/usr/bin/mkindex
/usr/bin/mp
/usr/bin/mpto
/usr/bin/newer
/usr/bin/patgen
/usr/bin/pfb2pfa
/usr/bin/pk2bm
/usr/bin/pktogf
/usr/bin/pktype
/usr/bin/pltotf
/usr/bin/pooltype
/usr/bin/ps2frag
/usr/bin/ps2pk
/usr/bin/tangle
/usr/bin/tex
/usr/bin/texconfig
/usr/bin/texhash
/usr/bin/texi2html
/usr/bin/tftopl
/usr/bin/troffmpx
/usr/bin/vftovp
/usr/bin/virmf
/usr/bin/virmp
/usr/bin/virtex
/usr/bin/vptovf
/usr/bin/weave

/usr/info/fontname.info.gz
/usr/info/kpathsea.info-1.gz
/usr/info/kpathsea.info-2.gz
/usr/info/kpathsea.info-3.gz
/usr/info/kpathsea.info.gz

/usr/man/man1/allcm.1
/usr/man/man1/alldc.1
/usr/man/man1/allneeded.1
/usr/man/man1/amslatex.1
/usr/man/man1/amstex.1
/usr/man/man1/append_db.1
/usr/man/man1/bibtex.1
/usr/man/man1/dvired.1
/usr/man/man1/dvitype.1
/usr/man/man1/etex.1
/usr/man/man1/fontexport.1
/usr/man/man1/fontimport.1
/usr/man/man1/gftodvi.1
/usr/man/man1/gftopk.1
/usr/man/man1/gftype.1
/usr/man/man1/gsftopk.1
/usr/man/man1/initex.1
/usr/man/man1/lamstex.1
/usr/man/man1/mag.1
/usr/man/man1/makeindex.1
/usr/man/man1/mf.1
/usr/man/man1/mft.1
/usr/man/man1/mp.1
/usr/man/man1/patgen.1
/usr/man/man1/pfb2pfa.1
/usr/man/man1/pk2bm.1
/usr/man/man1/pktogf.1
/usr/man/man1/pktype.1
/usr/man/man1/pltotf.1
/usr/man/man1/pooltype.1
/usr/man/man1/ps2frag.1
/usr/man/man1/ps2pk.1
/usr/man/man1/slitex.1
/usr/man/man1/tangle.1
/usr/man/man1/tex.1
/usr/man/man1/texconfig.1
/usr/man/man1/texhash.1
/usr/man/man1/tftopl.1
/usr/man/man1/vftovp.1
/usr/man/man1/virtex.1
/usr/man/man1/vptovf.1
/usr/man/man1/weave.1

%config /usr/lib/texmf/texmf.cnf

/usr/lib/texmf/README
/usr/lib/texmf/bin/README
/usr/lib/texmf/texmf/updates.dat
/usr/lib/texmf/texmf/doc/Makefile
/usr/lib/texmf/texmf/doc/README
/usr/lib/texmf/texmf/doc/ams/amsfonts/
/usr/lib/texmf/texmf/doc/ams/amslatex/
/usr/lib/texmf/texmf/doc/ams/amstex/
/usr/lib/texmf/texmf/doc/bibtex/base/
/usr/lib/texmf/texmf/doc/bibtex/custom-bib
/usr/lib/texmf/texmf/doc/bibtex/natbib
/usr/lib/texmf/texmf/doc/eplain/eplain.dvi
/usr/lib/texmf/texmf/doc/fonts/ams
/usr/lib/texmf/texmf/doc/fonts/cyrillic/
/usr/lib/texmf/texmf/doc/fonts/dc/
/usr/lib/texmf/texmf/doc/fonts/ec/
/usr/lib/texmf/texmf/doc/fonts/fontname/
/usr/lib/texmf/texmf/doc/fonts/oldgerman/
/usr/lib/texmf/texmf/doc/generic/
/usr/lib/texmf/texmf/doc/help/
/usr/lib/texmf/texmf/doc/helpfile
/usr/lib/texmf/texmf/doc/helpindex.html
/usr/lib/texmf/texmf/doc/index.html
/usr/lib/texmf/texmf/doc/makeindex/
/usr/lib/texmf/texmf/doc/metapost/
/usr/lib/texmf/texmf/doc/mkhtml
/usr/lib/texmf/texmf/doc/mkhtml.nawk
/usr/lib/texmf/texmf/doc/programs/kpathsea.dvi
/usr/lib/texmf/texmf/doc/programs/texinfo.dvi
/usr/lib/texmf/texmf/doc/tetex/
/usr/lib/texmf/texmf/fontname/
/usr/lib/texmf/texmf/fonts/source/public/bbm/
/usr/lib/texmf/texmf/fonts/source/public/bbold/
/usr/lib/texmf/texmf/fonts/source/public/cm/
/usr/lib/texmf/texmf/fonts/source/public/cmextra/
/usr/lib/texmf/texmf/fonts/source/public/concrete/
/usr/lib/texmf/texmf/fonts/source/public/gothic/
/usr/lib/texmf/texmf/fonts/source/public/mflogo/
/usr/lib/texmf/texmf/fonts/source/public/misc/
/usr/lib/texmf/texmf/fonts/source/public/olddc/
/usr/lib/texmf/texmf/fonts/source/public/pandora/
/usr/lib/texmf/texmf/fonts/source/public/rsfs/
/usr/lib/texmf/texmf/fonts/source/public/stmary/
/usr/lib/texmf/texmf/fonts/source/public/wasy/
/usr/lib/texmf/texmf/fonts/source/public/xypic/
/usr/lib/texmf/texmf/fonts/source/ams/cmextra/
/usr/lib/texmf/texmf/fonts/source/ams/cyrillic/
/usr/lib/texmf/texmf/fonts/source/ams/euler/
/usr/lib/texmf/texmf/fonts/source/ams/symbols/
/usr/lib/texmf/texmf/fonts/source/jknappen/
/usr/lib/texmf/texmf/fonts/tfm/adobe/
/usr/lib/texmf/texmf/fonts/tfm/public/bbm/
/usr/lib/texmf/texmf/fonts/tfm/public/bbold/
/usr/lib/texmf/texmf/fonts/tfm/public/cm/
/usr/lib/texmf/texmf/fonts/tfm/public/cmextra/
/usr/lib/texmf/texmf/fonts/tfm/public/concrete/
/usr/lib/texmf/texmf/fonts/tfm/public/gothic/
/usr/lib/texmf/texmf/fonts/tfm/public/mflogo/
/usr/lib/texmf/texmf/fonts/tfm/public/misc/
/usr/lib/texmf/texmf/fonts/tfm/public/pandora/
/usr/lib/texmf/texmf/fonts/tfm/public/rsfs/
/usr/lib/texmf/texmf/fonts/tfm/public/stmary/
/usr/lib/texmf/texmf/fonts/tfm/public/wasy/
/usr/lib/texmf/texmf/fonts/tfm/public/xypic/
/usr/lib/texmf/texmf/fonts/tfm/bitstrea/
/usr/lib/texmf/texmf/fonts/tfm/ams/cmextra/
/usr/lib/texmf/texmf/fonts/tfm/ams/cyrillic/
/usr/lib/texmf/texmf/fonts/tfm/ams/euler/
/usr/lib/texmf/texmf/fonts/tfm/ams/symbols/
/usr/lib/texmf/texmf/fonts/type1/
/usr/lib/texmf/texmf/fonts/vf/
/usr/lib/texmf/texmf/maketex/maketex.site
/usr/lib/texmf/texmf/makeindex/
/usr/lib/texmf/texmf/metafont/
/usr/lib/texmf/texmf/metapost/
/usr/lib/texmf/texmf/mft/
/usr/lib/texmf/texmf/tex/amstex/base/
/usr/lib/texmf/texmf/tex/eplain/
/usr/lib/texmf/texmf/tex/generic/
/usr/lib/texmf/texmf/tex/plain/
/usr/lib/texmf/texmf/tex/texinfo/
/usr/lib/texmf/texmf/texconfig/
/usr/lib/texmf/texmf/web2c/
/usr/lib/texmf/texmf/bibtex/
/usr/lib/texmf/texmf/ls-R

%files latex -f tetex-latex-skel
/usr/bin/latex
/usr/bin/pslatex
/usr/lib/texmf/texmf/doc/latex/
/usr/lib/texmf/texmf/fonts/source/public/latex/
/usr/lib/texmf/texmf/fonts/tfm/public/latex/
/usr/lib/texmf/texmf/tex/latex/
/usr/man/man1/latex.1

%files xdvi -f tetex-xdvi-skel
/usr/bin/xdvi
/usr/bin/xdvi.bin
/usr/lib/texmf/texmf/xdvi/XDvi
/usr/man/man1/xdvi.1

%files dvips -f tetex-dvips-skel
/usr/bin/dvips
/usr/lib/rhs/printtool/dvi-to-ps.fpi
/usr/info/dvips.info-1.gz
/usr/info/dvips.info-2.gz
/usr/info/dvips.info-3.gz
/usr/info/dvips.info.gz
/usr/lib/texmf/texmf/doc/programs/dvipsk.dvi
/usr/lib/texmf/texmf/dvips/
/usr/man/man1/dvips.1

%files dvilj -f tetex-dvilj-skel
/usr/bin/dvilj
/usr/bin/dvilj2p
/usr/bin/dvilj4
/usr/bin/dvilj4l
/usr/man/man1/dvilj.1

%files afm -f tetex-afm-skel
/usr/bin/afm2tfm
/usr/lib/texmf/texmf/fonts/afm/
/usr/man/man1/afm2tfm.1
